namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Clock::show_am_pm_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_show_am_pm_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::show_am_pm_set( ::efl::eolian::in_traits<bool>::type am_pm) const
{
    ::elm_obj_clock_show_am_pm_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(am_pm));
}
inline ::efl::eolian::return_traits<double>::type Clock::first_interval_get() const
{
   double __return_value =  ::elm_obj_clock_first_interval_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::first_interval_set( ::efl::eolian::in_traits<double>::type interval) const
{
    ::elm_obj_clock_first_interval_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(interval));
}
inline ::efl::eolian::return_traits<bool>::type Clock::show_seconds_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_show_seconds_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::show_seconds_set( ::efl::eolian::in_traits<bool>::type seconds) const
{
    ::elm_obj_clock_show_seconds_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(seconds));
}
inline ::efl::eolian::return_traits<bool>::type Clock::edit_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_edit_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::edit_set( ::efl::eolian::in_traits<bool>::type edit) const
{
    ::elm_obj_clock_edit_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(edit));
}
inline ::efl::eolian::return_traits<bool>::type Clock::pause_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_pause_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::pause_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::elm_obj_clock_pause_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline ::efl::eolian::return_traits<void>::type Clock::time_get( ::efl::eolian::out_traits<int>::type hrs,  ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type sec) const
{
   int __out_param_hrs = {};
   int __out_param_min = {};
   int __out_param_sec = {};
    ::elm_obj_clock_time_get(this->_eo_ptr()
      , & __out_param_hrs
      , & __out_param_min
      , & __out_param_sec);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(hrs, __out_param_hrs);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(min, __out_param_min);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(sec, __out_param_sec);
}
inline ::efl::eolian::return_traits<void>::type Clock::time_set( ::efl::eolian::in_traits<int>::type hrs,  ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type sec) const
{
    ::elm_obj_clock_time_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(hrs)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(min)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(sec));
}
inline ::efl::eolian::return_traits<Elm_Clock_Edit_Mode>::type Clock::edit_mode_get() const
{
   Elm_Clock_Edit_Mode __return_value =  ::elm_obj_clock_edit_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Clock_Edit_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::edit_mode_set( ::efl::eolian::in_traits<Elm_Clock_Edit_Mode>::type digedit) const
{
    ::elm_obj_clock_edit_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Clock_Edit_Mode,  ::efl::eolian::in_traits<Elm_Clock_Edit_Mode>::type>(digedit));
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Clock::show_am_pm_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_show_am_pm_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::show_am_pm_set( ::efl::eolian::in_traits<bool>::type am_pm) const
{
    ::elm_obj_clock_show_am_pm_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(am_pm));
}
inline ::efl::eolian::return_traits<double>::type Clock::first_interval_get() const
{
   double __return_value =  ::elm_obj_clock_first_interval_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::first_interval_set( ::efl::eolian::in_traits<double>::type interval) const
{
    ::elm_obj_clock_first_interval_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(interval));
}
inline ::efl::eolian::return_traits<bool>::type Clock::show_seconds_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_show_seconds_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::show_seconds_set( ::efl::eolian::in_traits<bool>::type seconds) const
{
    ::elm_obj_clock_show_seconds_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(seconds));
}
inline ::efl::eolian::return_traits<bool>::type Clock::edit_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_edit_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::edit_set( ::efl::eolian::in_traits<bool>::type edit) const
{
    ::elm_obj_clock_edit_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(edit));
}
inline ::efl::eolian::return_traits<bool>::type Clock::pause_get() const
{
   Eina_Bool __return_value =  ::elm_obj_clock_pause_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::pause_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::elm_obj_clock_pause_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline ::efl::eolian::return_traits<void>::type Clock::time_get( ::efl::eolian::out_traits<int>::type hrs,  ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type sec) const
{
   int __out_param_hrs = {};
   int __out_param_min = {};
   int __out_param_sec = {};
    ::elm_obj_clock_time_get(this->_eo_ptr()
      , & __out_param_hrs
      , & __out_param_min
      , & __out_param_sec);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(hrs, __out_param_hrs);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(min, __out_param_min);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(sec, __out_param_sec);
}
inline ::efl::eolian::return_traits<void>::type Clock::time_set( ::efl::eolian::in_traits<int>::type hrs,  ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type sec) const
{
    ::elm_obj_clock_time_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(hrs)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(min)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(sec));
}
inline ::efl::eolian::return_traits<Elm_Clock_Edit_Mode>::type Clock::edit_mode_get() const
{
   Elm_Clock_Edit_Mode __return_value =  ::elm_obj_clock_edit_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Clock_Edit_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Clock::edit_mode_set( ::efl::eolian::in_traits<Elm_Clock_Edit_Mode>::type digedit) const
{
    ::elm_obj_clock_edit_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Clock_Edit_Mode,  ::efl::eolian::in_traits<Elm_Clock_Edit_Mode>::type>(digedit));
}
inline elm::Clock::operator ::elm::Clock() const { return *static_cast< ::elm::Clock const*>(static_cast<void const*>(this)); }
inline elm::Clock::operator ::elm::Clock&() { return *static_cast< ::elm::Clock*>(static_cast<void*>(this)); }
inline elm::Clock::operator ::elm::Clock const&() const { return *static_cast< ::elm::Clock const*>(static_cast<void const*>(this)); }
} }

